## confusa 0.8.0-1

=== debian/changelog ===
confusa (0.8.0-1) unstable; urgency=low

  * Code cleanup (remove unused files, references)
  * DB schema/vies cleanup
  * Change DB schema for NRENAccount
  * Handle auth-redirects to SSP and to idp_select without triggering
    AntiCSRF machinery
  * Improve tests
  * Improve error-reporting in stylist

 -- Henrik Austad <henrik@austad.us>  Fri, 01 Feb 2013 01:02:50 +0100

confusa (0.7.4.0-1) unstable; urgency=low

  * Fix some HTML-validation-issues

 -- Henrik Austad <henrik@austad.us>  Fri, 21 Dec 2012 08:14:44 +0100

confusa (0.7.4~rc0-3) unstable; urgency=low

  * Add updated files (-2 was built with old .orig)

 -- Henrik Austad <henrik@austad.us>  Thu, 20 Dec 2012 10:15:00 +0100

confusa (0.7.4~rc0-2) unstable; urgency=low

  * Update with correct naming, some validation-fixes
  * Fix truncating and broken js for privacy-text at aup

 -- Henrik Austad <henrik@austad.us>  Thu, 20 Dec 2012 00:32:29 +0100

confusa (0.7.4~rc0-1) unstable; urgency=low

  * Harden against clickjacks
  * Major test-suite overhaul (move to simpletest.org (phpunit))
  * Improve translation
  * Improve logging
  * Add better help/about/privacy-text, handle empty case better
  * New IdP Select Map, move to jvector.

 -- Henrik Austad <henrik@austad.us>  Tue, 18 Dec 2012 23:19:08 +0100

confusa (0.7.3.2-1) unstable; urgency=low

  * Update browser-generation, only strip commas in CN, not throughout the
    entire DN

 -- Henrik Austad <henrik@austad.us>  Fri, 17 Feb 2012 00:47:39 +0100

confusa (0.7.3.1-1) unstable; urgency=low

  * Do not include commas in DN for IE X509Enrollment (Ticket #323)
  * Improve CSR validation (Ticket #322)
  * Fix PHP syntax error and LOG_WARNING constants

 -- Henrik Austad <henrik@austad.us>  Thu, 09 Feb 2012 21:48:45 +0100

confusa (0.7.3-1) unstable; urgency=low

  * Fix minor issues with updated jquery-version
  * Update CSS-publish
  * Add more logging to CA_Comodo

 -- Henrik Austad <henrik@austad.us>  Mon, 30 Jan 2012 23:08:47 +0100

confusa (0.7.3~rc4-1) unstable; urgency=low

  * Fix jquery-version typo so jquery actually loads
  * Update/fix changelog numberings.
  * Fix index-faq so they slide properly.

 -- Henrik Austad <henrik@austad.us>  Sat, 28 Jan 2012 21:25:39 +0100

confusa (0.7.3~rc3-1) unstable; urgency=low

  * Fix null-reference for NREN in NRENAccount
  * Remove url-encoding of username, password and commonName for CA-accounts (Comodo)
  * Fix typos (portal config)
  * Add logging when we cannot approve a CSR for signing (CA_Comodo)
  * Enable 'add subscriber' (forgotten to change to form_data array)

 -- Henrik Austad <henrik@austad.us>  Thu, 26 Jan 2012 22:07:06 +0100

confusa (0.7.3~rc2-1) unstable; urgency=low

  * Only show NREN-maint-mode to authN users
  * Only create cert-sign string for logging for authN users
  * Do not explode if nren-maint msg is not set

 -- Henrik Austad <henrik@austad.us>  Wed, 04 Jan 2012 23:33:19 +0100

confusa (0.7.3~rc1-1) unstable; urgency=low

  * Retain (valid) form-data when some of the fields are invalid
  * Check CA-account credentials upon update
  * General bugfixing
  * There are no reasons for forcing the MySQL-server to reside on the
    same server as the web frontend.
  * Drop versioned dependencies; no support for anything older than
    lenny. This also allows the package to be installed on squeeze, since
    the unversioned php5-mhash is satisfied by php5-common's (>= 5.3)
    Provides.
  * Use dh_install instead of manually copying in the files
  * Update copyright to make it more complete
  * Adjust short description to not include an article, according to
    description guidelines.
  * Add sql-upgrade script for 0.7.3 (NREN-maintenance mode)

 -- Henrik Austad <henrik@austad.us>  Wed, 04 Jan 2012 22:40:43 +0100

confusa (0.7.2-1) unstable; urgency=medium

  * Fix DN-ordering issue
  * Fix Silent dropping of '-' in subscriber-name

 -- Henrik Austad <henrik@austad.us>  Tue, 15 June 2011 22:45:00 +0200

confusa (0.7.1-1) unstable; urgency=medium

  * Fix single-IdP bug in disco (patch by Thijs Kinkhorst)
  * Allow UTF-8 characters in organization name in personal mode
    (thanks to Leif Johansson for reporting)
  * Display better instruction texts in e-mail selection form
    (thanks to Thijs Kinkhorst for reporting)
  * Hint user about certificate installation after browser request

 -- Thomas Zangerl <tzangerl@pdc.kth.se>  Mon, 06 Dec 2010 14:19:00 +0100

confusa (0.7.0-1) unstable; urgency=low

  * Update INSTALL documentation
  * Restructure IdP-discovery, POST IdP-scoping parameter instead of
    sending it in a GET (thanks to Mehdi Hached for reporting)
  * RI: Fix revocation result listing (thanks to Per-Olov Gustafsson for
    reporting)
  * Show warning if admin entitlement found, but not user entitlement
    (thanks to Thijs Kinkhorst for reporting)
  * Receive-CSR: Disable "next" button if no CSR selected
  * Fix display issue of e-mail step skip notification
  * Fix bugs in the backend of the robotic interface
  * Fix smaller glitches in the UI

 -- Thomas Zangerl <tzangerl@pdc.kth.se>  Wed, 01 Dec 2010 14:11:00 +0100

confusa (0.7.0~rc1-1) unstable; urgency=low

  * Disable certificate request for unentitled users
  * Restructure single certificate revocation
  * Disable mail selection step if number mail addresses equal
    number configured mail addresses
  * Fix bug in selection of 0 mail addresses in NREN setting

 -- Thomas Zangerl <tzangerl@pdc.kth.se>  Tue, 23 Nov 2010 10:57:00 +0100

confusa (0.7.0~rc0-1) unstable; urgency=low

  * Refactor the certificate/CSR codebase to make the code more
    readable and more maintainable
  * Move certificate issuance UI to a clearer, wizard-based structure
  * Some minor improvements (use of jQuery, better CA certificate
    download; not all individually listed)

 -- Thomas Zangerl <tzangerl@pdc.kth.se>  Mon, 15 Nov 2010 14:25:00 +0100

confusa (0.6.10-1) unstable; urgency=low


