=== debian/control ===
Source: confusa
Section: web
Priority: extra
Maintainer: Henrik Austad <henrik@austad.us>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.3

Package: confusa
Architecture: all
Depends: php5, apache2.2-common, libapache2-mod-php5 | php5-cgi, openssl, php-xml-parser, php5-mhash, php5-mcrypt, openssl-blacklist, simplesamlphp, php5-mysql, libphp-phpmailer, php5-curl, php-pear, smarty, dbconfig-common, ucf, ${misc:Depends}
Suggests: pwgen, logrotate
Description: Webportal for mapping a federated identity onto a X.509 certificate
 Confusa is a secure and configurable portal written in PHP that issues
 end-entity X.509 certificates based on assertions by identity providers (IdPs).
 Confusa can sign these certificates with its own private key or contact an
 Online-CA for signing them.
