=== debian/rules ===
#!/usr/bin/make -f
export DH_ALWAYS_EXCLUDE=.git:LICENSE

# Add here any variable or target overrides you need.
clean:
	dh_testdir
	dh_testroot
	dh_clean

build:

install_app_data:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_install -X '.gitignore'

	cp mysql_create.sql debian/confusa/usr/share/dbconfig-common/data/confusa/install/mysql
	cp upgrade_0.4.0~rc0.sql debian/confusa/usr/share/dbconfig-common/data/confusa/upgrade/mysql/0.4.0~rc0
	cp upgrade_0.4.0.sql debian/confusa/usr/share/dbconfig-common/data/confusa/upgrade/mysql/0.4.0
	cp upgrade_0.5.0~rc1.sql debian/confusa/usr/share/dbconfig-common/data/confusa/upgrade/mysql/0.5.0~rc1
	cp upgrade_0.5.3.sql debian/confusa/usr/share/dbconfig-common/data/confusa/upgrade/mysql/0.5.3
	cp upgrade_0.6.0~rc0.sql debian/confusa/usr/share/dbconfig-common/data/confusa/upgrade/mysql/0.6.0~rc0
	cp upgrade_0.7.0~rc0.sql debian/confusa/usr/share/dbconfig-common/data/confusa/upgrade/mysql/0.7.0~rc0
	cp upgrade_0.7.3~rc1.sql debian/confusa/usr/share/dbconfig-common/data/confusa/upgrade/mysql/0.7.3~rc1
	cp upgrade_0.8.0.sql debian/confusa/usr/share/dbconfig-common/data/confusa/upgrade/mysql/0.8.0
install_package_data:
	dh_installchangelogs
	dh_compress
	dh_installdebconf
	dh_installdeb
	dh_installdocs
	dh_fixperms
	chmod +x debian/confusa/usr/share/confusa/lib/bash/*.sh \
		 debian/confusa/usr/share/confusa/lib/ca/*.sh
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	dh_lintian


install: install_app_data install_package_data
binary-indep: build install
binary-arch: binary-indep
binary: binary-indep
.PHONY: clean install
